Subject: Re: fast forward a branch from another

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 May 2011 09:06:02 -0700

Eric Frederich <[email-masked]> writes:

> Often times I get into a situation where I have a "development" branch
> that gets ahead of say a "stable" branch.
> When I am ready to call the development branch stable this is what I do.
>
> $ git checkout stable
> $ git merge development
> $ git checkout development

Instead of switching to "stable", while still on the development, you
could do

	$ git push . HEAD:stable

which would succeed only when you are purely ahead of stable (otherwise it
will fail as you are not forcing).